View Issue Details

IDProjectCategoryView StatusLast Update
0007508libeufinsandboxpublic2023-02-02 00:26
ReporterMS Assigned ToMS  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionGit master 
Target Version0.9.2Fixed in Version0.9.2 
Summary0007508: EBICS host creation should restrict to 'admin'.
DescriptionOnly the admin should be allowed to create EBICS hosts. The expectAdmin() helper can be used for this.
Additional InformationResponsible call: https://docs.taler.net/libeufin/api-sandbox.html#post--admin-ebics-hosts
TagsNo tags attached.

Activities

cabalowen

2022-12-05 09:11

reporter   ~0019495

Using EBICS Client, a partner or partner user can configure and manage multiple banks, partners, and users. Multiple users can interact with multiple banks (EBICS Banking Servers) over HTTP or HTTPS and exchange EBICS-compliant transaction messages.

The Sterling B2B Integrator EBICS Client is a client server application. It provides an end-to-end EBICS solution for an organization to transact with banks

Partners can perform the following tasks in the EBICS Client dashboard interface:
Configure users
Configure banks
Configure security settings for users
Verify security settings of a bank
Create and manage file formats
Create and manage user permissions
Create and manage offers
Configure orders
Submit orders
View order-related events and reports
Search for orders pending at the VEU management store in the server
View and monitor pending tasks
The Sterling B2B Integrator EBICS Client supports EBICS Specification V2.5 for both French and German implementations.

Overview of EBICS
Electronic Banking Internet Communication Standard (EBICS) is an Internet-based communication and security standard. EBICS is a European banking standard. EBICS is primarily used for remote data transfer, such as corporate payment transactions, between an organization and a bank.
Install EBICS Client Module Manually
When installing Sterling B2B Integrator 5.2.5 or when upgrading from a previous version of Sterling B2B Integrator to Sterling B2B Integrator 5.2.5, if you selected the Financial Services Module option from the Installation Manager, then the EBICS Client module is installed automatically.
Configuration Prerequisites
You must configure the prerequisites that access Sterling B2B Integrator before using EBICS Client.
Configuring EBICS Client
You must configure EBICS Client in Sterling B2B Integrator.
Managing Profiles in EBICS Client
A Super admin or an EBICS Client admin can configure bank, user, offer, and file format profiles.
Configure User Permission
User permissions define the offers, order types, and file formats, an EBICS Client user can process on EBICS Client. User permissions are derived from the offer created for the bank.
Initializing a User
A bank enters into a contract with its trading partners. The contract defines the terms and conditions of business transactions agreed upon between the bank and the trading partner.
Submitting Orders
Sterling B2B Integrator EBICS Client Users can submit orders using the Order submission function in the User Menu.
Viewers
The following topic describes how you can view and search events (transactions), search orders, and complete your pending tasks.
Updating System Property Values
After configuring EBICS Client, an EBICS Client admin can update the system property values.
My Profile
The My Profile page helps you view the user settings. The settings differ based on the user type.
Importing and Exporting EBICS Client Resources
You can import resources and export configuration data for resources pertaining to EBICS Client using Sterling B2B Integrator.
Permissions to Access EBICS Client User Interface
To access Sterling B2B Integrator EBICS Client Graphical User Interface (GUI) and its functions, you must be assigned to one of the following permissions groups: Basically I have to use while working on https://enterprise.affle.com/mobile-app-development. Recover upload and download transactions
When sending or receiving transaction data, if the client is down, there is a risk of losing the transaction data. To prevent loss of and to restore transaction data, EBICS Client supports transaction recovery for upload and download transactions.
Submit and sign an FUL order type
The following example scenario demonstrates submitting and signing, or rejecting, an FUL order type where the submitter and signer are two separate entities. If the Electronic Signature (ES) value is set to 1, then a single signature of E or A authorization level is sufficient to process an order.
Order types
A brief description of the order type, definition of the parameters defined for the order type, and the sample XML schema are provided for the following order types.
HAC Processing
When an EBICS Customer Acknowledgment (order type HAC) is downloaded in Sterling B2B Integrator, data including status and reason code information is created as defined in EBICS Specification 2.5.
HAC Scheduling
Users do not directly initiate HAC requests. Instead, HAC requests are automatically performed by the Sterling B2B Integrator EBICS Client according to schedules defined using HAC Scheduling in the EBICS Client Administration menu.
Return codes
When using EBICS Client, you may receive return codes and event messages.

MS

2023-02-01 11:43

manager   ~0019728

fixed here: b556bd1b9

Issue History

Date Modified Username Field Change
2022-12-01 18:14 MS New Issue
2022-12-01 18:17 MS Description Updated
2022-12-05 09:11 cabalowen Note Added: 0019495
2023-01-08 11:33 Christian Grothoff Target Version => 0.9.4
2023-02-01 11:43 MS Assigned To => MS
2023-02-01 11:43 MS Status new => resolved
2023-02-01 11:43 MS Resolution open => fixed
2023-02-01 11:43 MS Note Added: 0019728
2023-02-02 00:26 Christian Grothoff Product Version => Git master
2023-02-02 00:26 Christian Grothoff Fixed in Version => 0.9.2
2023-02-02 00:26 Christian Grothoff Target Version 0.9.4 => 0.9.2